Package com.google.android.exoplayer2.source.chunk

## Interface ChunkExtractor.Factory

- Enclosing interface:
    ChunkExtractor

      public static interface ChunkExtractor.Factory

  Creates `ChunkExtractor` instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ChunkExtractor` | `createProgressiveMediaExtractor​(@com.google.android.exoplayer2.C.TrackType int primaryTrackType, Format representationFormat, boolean enableEventMessageTrack, List<Format> closedCaptionFormats, TrackOutput playerEmsgTrackOutput, PlayerId playerId)` | Returns a new `ChunkExtractor` instance.

- - ### Method Detail

    - #### createProgressiveMediaExtractor

          @Nullable
          ChunkExtractor createProgressiveMediaExtractor​(@com.google.android.exoplayer2.C.TrackType int primaryTrackType,
                                                         Format representationFormat,
                                                         boolean enableEventMessageTrack,
                                                         List<Format> closedCaptionFormats,
                                                         @Nullable
                                                         TrackOutput playerEmsgTrackOutput,
                                                         PlayerId playerId)

      Returns a new `ChunkExtractor` instance.
      Parameters:
        `primaryTrackType` - The `type` of the primary track.
        `representationFormat` - The format of the representation to extract from.
        `enableEventMessageTrack` - Whether to enable the event message track.
        `closedCaptionFormats` - The `Formats` of the Closed-Caption tracks.
        `playerEmsgTrackOutput` - The `TrackOutput` for extracted EMSG messages, or null.
        `playerId` - The `PlayerId` of the player using this chunk extractor.
      Returns:
        A new `ChunkExtractor` instance, or null if not applicable.